Class | ActionController::Flash::FlashHash
In: | lib/action_controller/flash.rb
Parent: | Hash

### Methods

discard keep now

### External Aliases

update | -> | merge!

### Public Instance methods

discard(k = nil)

Marks the entire flash or a single flash entry to be discarded by the end of the current action

        flash.keep                 # keep entire flash available for the next action
        flash.discard(:warning)    # discard the "warning" entry (it'll still be available for the current action)

keep(k = nil)

Keeps either the entire current flash or a specific flash entry available for the next action:

       flash.keep            # keeps the entire flash
       flash.keep(:notice)   # keeps only the "notice" entry, the rest of the flash is discarded

now()

Sets a flash that will not be available to the next action, only to the current.

        flash.now[:message] = "Hello current action"

This method enables you to use the flash as a central messaging system in your app. When you need to pass an object to the next action, you use the standard flash assign (`[]=`). When you need to pass an object to the current action, you use `now`, and your object will vanish when the current action is done.

Entries set via `now` are accessed the same way as standard entries: `flash[‘my-key’]`.

[Validate]